Dim regex, regexObj, replacement, objFSO, inputFileName, inputFile, strLine, outputFileName, outputFile
CONST ForReading = 1

'populate variables with provided inputs
regex = WScript.Arguments(0)
replacement = WScript.Arguments(1)
inputFileName = WScript.Arguments(2)
outputFileName = WScript.Arguments(3)

'Create the regexObj expression
Set regexObj = new RegExp
regexObj.Global = True
regexObj.Multiline = False
regexObj.Pattern = regex

'Create a File System Object
Set objFSO = CreateObject("Scripting.FileSystemObject")

'Open the input file for reading data
Set inputFile = objFSO.OpenTextFile(inputFileName,ForReading)

'Creating a output file for writing data
Set outputFile = objFSO.CreateTextFile(outputFileName)

'Read input file and replace the regex with replacement
Do While Not inputFile.AtEndOfStream
    strLine = inputFile.ReadLine
    outputFile.WriteLine(regexObj.Replace(strLine, replacement))
Loop

'Closing the file
inputFile.Close
outputFile.Close

'Cleanup
Set objFSO = Nothing
